Package net.shibboleth.idp.plugin.authn.webauthn.admin

# Interface RegistrationResult.IAttestationTypeStage

All Known Implementing Classes:
  `RegistrationResult.Builder`

Enclosing class:
  RegistrationResult

public static interface RegistrationResult.IAttestationTypeStage
Builder stage.

## Method Summary

Modifier and Type
Method
Description
`RegistrationResult.ICredentialStage`
`withAttestationType(com.yubico.webauthn.data.AttestationType attestationType)`
Set the attestation type.

## Method Details

### withAttestationType

RegistrationResult.ICredentialStage withAttestationType(@Nonnull com.yubico.webauthn.data.AttestationType attestationType)
Set the attestation type.

Parameters:
  `attestationType` - the attestation type
Returns:
  this builder